Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.request
Class MultipartRequest25

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              org.richfaces.request.MultipartRequest25

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest, MultipartRequest

    public class MultipartRequest25

extends javax.servlet.http.HttpServletRequestWrapper

Nested Class Summary

Nested classes/interfaces inherited from interface org.richfaces.request.MultipartRequest
`MultipartRequest.ResponseState`

Field Summary

Fields inherited from interface org.richfaces.request.MultipartRequest
`REQUEST_ATTRIBUTE_NAME`

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`MultipartRequest25(javax.servlet.http.HttpServletRequest request, String uploadId, ProgressControl progressControl, MultipartRequestParser requestParser)`

Method Summary
`String` | `getContentType()`
`String` | `getHeader(String name)`
`String` | `getParameter(String name)`
`Map` | `getParameterMap()`
`Enumeration` | `getParameterNames()`
`String[]` | `getParameterValues(String name)`
`MultipartRequest.ResponseState` | `getResponseState()`
`Iterable<org.richfaces.model.UploadedFile>` | `getUploadedFiles()`
`String` | `getUploadId()`
`void` | `release()`

Methods inherited from class javax.servlet.http.HttpServletRequestWrapper
`authenticate, getAuthType, getContextPath, getCookies, getDateHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPart, getParts, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole, login, logout`

Methods inherited from class javax.servlet.ServletRequestWrapper
`getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, isWrapperFor, isWrapperFor, removeAttribute, setAttribute, setCharacterEncoding, setRequest, startAsync, startAsync`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletRequest
`getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, setCharacterEncoding, startAsync, startAsync`

Constructor Detail

### MultipartRequest25

    public MultipartRequest25(javax.servlet.http.HttpServletRequest request,
                              String uploadId,
                              ProgressControl progressControl,
                              MultipartRequestParser requestParser)

Method Detail

### getParameterNames

    public Enumeration getParameterNames()

  Specified by:
    `getParameterNames` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterNames` in class `javax.servlet.ServletRequestWrapper`

### getParameter

    public String getParameter(String name)

  Specified by:
    `getParameter` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameter` in class `javax.servlet.ServletRequestWrapper`

### getParameterValues

    public String[] getParameterValues(String name)

  Specified by:
    `getParameterValues` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterValues` in class `javax.servlet.ServletRequestWrapper`

### getParameterMap

    public Map getParameterMap()

  Specified by:
    `getParameterMap` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterMap` in class `javax.servlet.ServletRequestWrapper`

### getUploadedFiles

    public Iterable<org.richfaces.model.UploadedFile> getUploadedFiles()

### release

    public void release()

  Specified by:
    `release` in interface `MultipartRequest`

### getResponseState

    public MultipartRequest.ResponseState getResponseState()

### getUploadId

    public String getUploadId()

  Specified by:
    `getUploadId` in interface `MultipartRequest`

### getHeader

    public String getHeader(String name)

  Specified by:
    `getHeader` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getHeader` in class `javax.servlet.http.HttpServletRequestWrapper`

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getContentType` in class `javax.servlet.ServletRequestWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.